from setuptools import setup, find_packages

setup(
    name='wsgissl',
    version='1',
    author='Owen Jacobson',
    author_email='owen@freshbooks.com',
    
    long_description="""
    WSGI middleware for detecting X-Forwarded-SSL headers.
    
    Freestanding:
    
    Wrap your application in an instance of wsgissl.ForwardedSSLDetectingFilter::
    
        >>> import wsgissl as s
        >>> my_app = MyWsgiApp()
        >>> my_app = s.ForwardedSSLDetectingFilter(my_app)
    
    Paster:
    
    Add a filter to your application stanza::
    
        [app:my-app]
        use: egg:my-app#main
        filter-with: ssl-detect
        
        [filter:ssl-detect]
        use: egg:wsgissl#ssl-detect
    
    """,
    
    py_modules=['wsgissl'],
    include_package_data=True,
    
    entry_points = {
        'paste.filter_factory': [
            'ssl-detect=wsgissl:forwarded_ssl_filter_factory',
        ],
        'paste.filter_app_factory': [
            'ssl-detect=wsgissl:forwarded_ssl_filter_app_factory',
        ],
    },
)
